@CHARSET "UTF-8";
/*	
	Table Of Contents
	
	1. =GENERAL
	2. =HEADER
		2.1 =LOGO
		2.2 =NAVIGATION
	3. =CONTENT
		3.1 =MAIN CONTENT
		3.2 =SIDEBAR
			3.2.1 =SIDEBAR NAVIGATION
			3.2.2 =CONTACT INFO 
	4. =FOOTER
	5. =MISC
		5.1 =ROUNDED CORNERS
		5.2 =CONTACT FORM	
				

-----------------------------------------------------------------------------------*/

/* =GENERAL
------------------ */

body { 
		padding:0; margin:0;
		background:#6e6e6e url(../img/bg.gif) repeat-x top left; 
	    color:#434343;
	    font:normal 14px Arial, Helvetica, sans-serif; position:relative;  
	}

a { color:#0091D5; }
	a:hover { }
	
h2 { margin:0; padding:10px 5px; font-size: 27px; color:#5F5F5F; }
h3 { margin:0; padding:15px 5px; font-size:18px; color:#252525; }
h4 { margin:0; padding:15px 5px; font-size:16px; font-weight:bold; }
ul { margin:0 40px 0 0; padding:0 10px 15px 20px; list-style:inside; } 
li { margin:0; padding:0;} 
ul li ul{ padding-bottom: 0px; }
p, li { line-height:24px; }
p { padding:5px; margin:0;}
	
img{ border:none; }
	
table{ width:100%; margin-bottom:15px; line-height:24px; }
th{  background-color:#E5E8ED; border-top:3px solid #A8C3EA; color:#7D8AA0; padding:7px 10px; text-align:left; }
th.actions {
	text-align: center;
	white-space: nowrap;
}
th.value {
	text-align: right;
}
th a.asc:after {
	content: ' ⇣';
}
th a.desc:after {
	content: ' ⇡';
}
td{ border-bottom:1px solid #f4f4f4; padding:10px; }
td.actions {
	text-align: center;
	white-space: nowrap;
	padding: 10px 5px;
}
table td.actions a {
	margin: 0px 2px;
	padding:2px 5px;

	font-weight:normal;
	padding: 4px 8px;
	-moz-border-radius:8px 8px 8px 8px;
	background:#9EC6E6;
	background: -webkit-gradient(linear, left top, left bottom, from(#D3E4F1), to(#9EC6E6));
	background-image: -moz-linear-gradient(top, #D3E4F1, #9EC6E6);
	color:#333;
	font-size:0.8em;
	border:1px solid #6288AB;
	-webkit-border-radius:8px;
	-moz-border-radius:8px;
	border-radius:8px;
	text-decoration:none;
	min-width: 0;
}
td.value {
	text-align: right;
}

code{ display:block; margin-bottom:15px; padding:10px; border-left:5px solid #ddd; }

blockquote{ display:block; margin:15px; padding-left:50px; background:#fff url(../img/blockquote-quotemark.gif) no-repeat top left; }
blockquote p{ font-style:italic; font-family:Georgia,"Times New Roman",Times,serif; margin:0; height:1%; }

/* align images + text */	

.img-left{ float:left; margin:10px 15px 15px 5px; }		/* Add this to any image you want to left align  */
.img-right{ float:right; margin:10px 5px 15px 15px; }	/* Add this to any image you want to right align */

.text-right{ text-align:right; }
.text-center{ text-align:center; }

/* Clear Fix Hack - add  class="fixed"  to div's that have floated elements in them */

.fixed:after{content:"."; display:block; height:0; clear:both; visibility:hidden;}
	.fixed{display:block;}
	/*  \*/
	.fixed{min-height:1%;}
	* html .fixed{height:1%;}


/* =HEADER
------------------ */

#header { margin:0 auto; width:900px; }

	.user_logout {
		float: right;
		font-size: 100%;
		padding:10px;
		color: white;
		font-weight: bold;
	}
	.user_logout a {
		color: white;
		font-weight: normal;
		font-size: 0.9em;
	}
	.user_logout a:hover {
		text-decoration:none;
	}

	/* =LOGO
	------------------*/
	
	.logo { padding:15px 0 0 15px; margin:0;  color:#FFFFFF; }
	.logo a{ outline:none; }
		
	/* =NAVIGATION
	------------------*/
		
	.nav { padding:15px 15px 0 15px; background: #000 url(../img/bg-nav.jpg) repeat-x top left;  -moz-border-radius: 5px 5px 0 0; }
	.nav ul { padding:0; margin:0; list-style:none; border:0;}
	.nav ul li { float:left; margin:0; padding:0 2px 0 0; border:0;}
	.nav ul li a { float:left; margin:0; padding: 5px 10px 20px 20px; color:#fff; 
				   font-size: 14px; font-weight:bold; text-decoration:none; outline:none; }
	.nav ul li a:hover{ text-decoration:underline; }
	.nav ul li a.active {  background:url(../img/bg-nav-active.jpg) no-repeat bottom center; text-transform:uppercase; color:#97DDFE; }
	
/* =CONTENT 
-------------------*/

#content { width:830px; margin:0 auto; background-color:#FFF; padding:35px; }

	/* =MAIN CONTENT
	------------------*/
	
	#maincontent { float:left; width:580px; padding:0 0 30px 0; margin:0; text-align:justify; overflow:hidden; }
	#maincontent.login { width:520px; }
	
		/* =EXPENSES
		------------------*/
		.expenses.index .new_expense {
			font-weight: bold;
			font-size: 120%;
			padding: 10px;			
			margin-bottom: 10px;
		}
		.expenses.index .new_expense a {
			color:#008800;
		}
		
		.expenses.index table {
			width: 580px;
		}
		
		.expenses.index #ajax-indicator {
			margin-top: 10px;
		}
		
		/***** graph *****/
		.expenses.index .graph_block {			
			display: block;
			margin-bottom: 30px;
			padding: 0 0 10px;
			color: #0091D5;
		}		
		
		.expenses.index .graph_block .graph_title {
			padding: 10px;
			display: block;
			border-top: 3px solid #A8C3EA;
			background: #E5E8ED;
			margin: 0 0px 8px;			
			font-weight: bold;
		}
		
		.expenses.index .graph_block .graph {
			height: 300px;
			background: white;
			border: 1px solid #E4E4E4;
			display: block;
			margin: 0px;
		}
		
		/***** export_data *****/
		.export_data {
			padding: 10px;
			display: block;
			border-top: 3px solid #A8C3EA;
			border-bottom: 3px solid #A8C3EA;
			background: #E5E8ED;
			margin: 0 0px 25px;			
			font-weight: bold;			
		}
		.export_data a {
			margin:0 70px;
		}
		.export_data a img {
			width:45px;
			height: 45px;
		}
			
		

	/* =LOGIN SIDEBAR
	------------------*/
	.login_sidebar { float:right; width:300px; margin-top:50px; }

	/* =SIDEBAR
	------------------*/
	
	#sidebar { float:right; padding:20px 5px 0; width:210px; margin-top:15px; background-color: #F1F5F7; border:1px solid #B6CCD4; 
	-moz-border-radius: 5px; color:#434343; }
	
		#sidebar  h3{ padding: 0 0 10px 0; margin-bottom:10px; font-size:20px; border-bottom:1px solid #434343; }
		#sidebar .title { background:url(../img/news_title.gif) no-repeat left center; padding:5px 0 5px 20px; font-weight:bold;}

		/* =EXPENSES
		------------------*/
		#sidebar .graph_block {			
			display: block;
			margin-bottom: 30px;
			padding: 10px 0;
			color: #0091D5;
			background:none repeat scroll 0 0 #E6EDF1;
			-moz-border-radius:5px 5px 5px 5px;
		}
		#sidebar .graph_block.selected {			
			background:none repeat scroll 0 0 #A8C3EA;
			-moz-border-radius:5px 5px 5px 5px;
			color: white;
		}
		
		#sidebar .graph_block .graph_title {
			padding: 0px 5px 2px;
			display: block;
			border-bottom: 1px solid #0091D5;
			margin: 0 5px 8px;			
			font-weight: bold;
			text-align: center;
		}
		#sidebar .graph_block.selected .graph_title {
			border-bottom: 1px solid white;
		}
		
		#sidebar .graph_block .graph {
			height: 100px;
			background: white;
			border: 1px solid #B6D4E0;
			display: block;
			margin: 0px 5px;
		}


		/* =SIDEBAR NAVIGATION
		---------------------*/
		#sidebar ul.sidebar_nav { padding:0; margin:0; list-style:inside; list-style-type:square; }
		#sidebar ul.sidebar_nav li { padding:5px 10px; }
		#sidebar ul.sidebar_nav li a { background:none; color:#6e6e6e; font-weight:normal; padding:0 0 0 15px; text-decoration:none;  }
		#sidebar ul.sidebar_nav li a.active { color:#0000FF;}
		#sidebar ul.sidebar_nav li a:hover {  text-decoration:underline;}
			
		/* =CONTACT INFO 
		-------------------*/
		#sidebar ul.contact_info { padding:0; margin:0; list-style:none;} 
		#sidebar ul.contact_info li { width:210px; float:left; background:url(../img/cont_bg.gif) no-repeat left center; padding:0 0 0 15px; margin:0 0 0 5px;}
		#sidebar ul.contact_info li a { padding:0; margin:0; background:none;}


/* =FOOTER 
-------------------*/

#footer { background: url(../img/bg_footer.gif); padding:0; height:58px; margin:0 auto; padding:10px 40px; width:820px; }

	#footer p { font-size: 12px; color:#fff; }
	#footer a { color:#fff; text-decoration:underline;}
	.copyright{ text-align: center;}
	.credits{ float:right;}
		
/* =MISC
-------------------*/

	/* =ROUNDED CORNERS
	-------------------*/
	#round_bottom{ width:900px; height:20px; background:url(../img/round-bottom.png) no-repeat top center; margin:0 auto; }

	/** index view actions header **/ 
	div.actions {		
		padding:20px 1.5% 10px;
	}
	div.actions h3 {
		padding-top:0;
		color:#C4B892;
	}

	/** Paging **/
	div.paging {
		background:#fff;
		color: #ccc;
		margin-top: 1em;
		clear:both;
	}
	div.paging span.disabled {
		color: #ddd;
		display: inline;
	}
	div.paging span.current {
		color: #c73e14;
	}
	div.paging span a {
	}


	/** Scaffold View **/
	dl {
		line-height: 2em;
		margin: 0em 0em;
	}
	dl .altrow {
		background: #f4f4f4;
	}
	dt {
		font-weight: bold;
		padding-left: 4px;
		vertical-align: top;
	}
	dd {
		margin-left: 20em;
		margin-top: -2em;
		vertical-align: top;
	}
		
	
	/** Forms **/
	form {
		clear: both;
		margin-right: 20px;
		padding: 0;
		width: 95%;
	}
	fieldset {
		border: 1px solid #ccc;
		margin-bottom: 1em;
		padding: 16px 20px;
	}
	fieldset legend {
		background:#fff;
		color: #e32;
		font-size: 160%;
		font-weight: bold;
	}
	fieldset fieldset {
		margin-top: 0px;
		margin-bottom: 20px;
		padding: 16px 10px;
	}
	fieldset fieldset legend {
		font-size: 120%;
		font-weight: normal;
	}
	fieldset fieldset div {
		clear: left;
		margin: 0 20px;
	}
	form div {
		clear: both;
		margin-bottom: 1em;
		padding: .5em;
		vertical-align: text-top;
	}
	form .input {
		color: #444;
	}
	form .required {
		font-weight: bold;
	}
	form .required label:after {
		color: #e32;
		content: '*';
		display:inline;
	}
	form div.submit {
		border: 0;
		clear: both;
		margin-top: 10px;
	}
	label {
		display: block;
		font-size: 110%;
		margin-bottom:3px;
	}
	input, textarea {
		clear: both;
		font-size:130%;
		padding:5px;
		font-family: "frutiger linotype", "lucida grande", "verdana", sans-serif;
		width:98%;
	}
	input.disabled {
		background: #F6F6F6;
		border: 1px solid #DDDDDD;	
	}
	select {
		clear: both;
		font-size: 120%;
		vertical-align: text-bottom;
	}
	select[multiple=multiple] {
		width: 100%;
	}
	option {
		font-size: 120%;
		padding: 0 3px;
	}
	input[type=checkbox] {
		clear: left;
		float: left;
		margin: 0px 6px 7px 2px;
		width: auto;
	}
	div.checkbox label {
		display: inline;
	}
	input[type=radio] {
		float:left;
		width:auto;
		margin: 0 3px 7px 0;
	}
	div.radio label {
		margin: 0 0 6px 20px;
	}
	input[type=submit] {
		display: inline;
		font-size: 110%;
		width: auto;
	}
	form .submit input[type=submit] {

		color: #000;
		text-shadow: #abe 0px 1px 0px;
	}
	form .submit input[type=submit]:hover {

	}

	form ol { margin:0; padding:0; list-style:none;}
	form li { margin:0; padding:0; background:none; border:none; display:block;}
	form li.buttons { margin:5px 0 5px 110px;}


/**************************************************************************************************************/
/**************************************************************************************************************/
/**************************************************************************************************************/
/**************************************************************************************************************/
table.cake-sql-log {
	background: #fff;
	border-right:0;
	clear: both;
	color: #333;
	margin-bottom: 10px;
	width: 100%;
}
table.cake-sql-log th {
	border:0;
	border-bottom:2px solid #555;
	text-align: left;
	padding:4px;
	color:#fff;  
	background-color:#CA0308; 
}
table.cake-sql-log th a {
	display: block;
	padding: 2px 4px;
	text-decoration: none;
}
table.cake-sql-log th a.asc:after {
	content: ' ⇣';
}
table.cake-sql-log th a.desc:after {
	content: ' ⇡';
}
table.cake-sql-log tr td {
	background: #fff;
	padding: 6px;
	text-align: left;
	vertical-align: top;
	border-bottom:1px solid #ddd;
}
table.cake-sql-log tr:nth-child(2n) td {
	background: #f5f5f5;
}
table.cake-sql-log .altrow td {
	background: #f5f5f5;
}

table.cake-sql-log td.actions {
	text-align: center;
	white-space: nowrap;
}
table.cake-sql-log td.actions a {
	margin: 0px 6px;
	padding:2px 5px;
}
.cake-sql-log table {
	background: #f4f4f4;
}
.cake-sql-log td {
	padding: 4px 8px;
	text-align: left;
	font-family: Monaco, Consolas, "Courier New", monospaced;
}
.cake-sql-log caption {
	color:#fff;
}

/** Debugging **/
pre {
	color: #000;
	background: #f0f0f0;
	padding: 1em;
}
pre.cake-debug {
	background: #ffcc00;
	font-size: 120%;
	line-height: 140%;
	margin-top: 1em;
	overflow: auto;
	position: relative;
}
div.cake-stack-trace {
	background: #fff;
	color: #333;
	margin: 0px;
	padding: 6px;
	font-size: 120%;
	line-height: 140%;
	overflow: auto;
	position: relative;
}
div.cake-code-dump pre {
	position: relative;
	overflow: auto;
}
div.cake-stack-trace pre, div.cake-code-dump pre {
	color: #000;
	background-color: #F0F0F0;
	margin: 0px;
	padding: 1em;
	overflow: auto;
}
div.cake-code-dump pre, div.cake-code-dump pre code {
	clear: both;
	font-size: 12px;
	line-height: 15px;
	margin: 4px 2px;
	padding: 4px;
	overflow: auto;
}
div.cake-code-dump span.code-highlight {
	background-color: #ff0;
	padding: 4px;
}
div.code-coverage-results div.code-line {
	padding-left:5px;
	display:block;
	margin-left:10px;
}
div.code-coverage-results div.uncovered span.content {
	background:#ecc;
}
div.code-coverage-results div.covered span.content {
	background:#cec;
}
div.code-coverage-results div.ignored span.content {
	color:#aaa;
}
div.code-coverage-results span.line-num {
	color:#666;
	display:block;
	float:left;
	width:20px;
	text-align:right;
	margin-right:5px;
}
div.code-coverage-results span.line-num strong {
	color:#666;
}
div.code-coverage-results div.start {
	border:1px solid #aaa;
	border-width:1px 1px 0px 1px;
	margin-top:30px;
	padding-top:5px;
}
div.code-coverage-results div.end {
	border:1px solid #aaa;
	border-width:0px 1px 1px 1px;
	margin-bottom:30px;
	padding-bottom:5px;
}
div.code-coverage-results div.realstart {
	margin-top:0px;
}
div.code-coverage-results p.note {
	color:#bbb;
	padding:5px;
	margin:5px 0 10px;
	font-size:10px;
}
div.code-coverage-results span.result-bad {
	color: #a00;
}
div.code-coverage-results span.result-ok {
	color: #fa0;
}
div.code-coverage-results span.result-good {
	color: #0a0;
}

/**********************************************************************************/
/**************************** Notices and Errors **********************************/
/**********************************************************************************/
div.message {
	background:none repeat scroll 0 0 #FFF6E1;
	border:1px solid #BB1B1B;
	clear:both;
	color:#BB1B1B;
	font-size:140%;
	font-weight:bold;
	margin:0 0 1em;
	padding:5px 10px;
	text-align:center;
}
div.error-message {
	clear: both;
	color: #fff;
	font-weight: bold;
	background: #c73e14;
}
p.error {
	background-color: #e32;
	color: #fff;
	font-family: Courier, monospace;
	font-size: 120%;
	line-height: 140%;
	padding: 0.8em;
	margin: 1em 0;
}
p.error em {
	color: #000;
	font-weight: normal;
	line-height: 140%;
}
.notice {
	background: #ffcc00;
	color: #000;
	display: block;
	font-family: Courier, monospace;
	font-size: 120%;
	line-height: 140%;
	padding: 0.8em;
	margin: 1em 0;
}
.success {
	background: green;
	color: #fff;
}


